# Run from here: www/img/categories

source_color_name = "black"

target_colors = ['white', 'assertive', 'calm']


colors = {
  "assertive" => '#E2793F',
  "white" => '#FFFFFF',
  "black" => '#000000',
  "calm"  => '#5AB7B2'
}

file_names = Dir["icons_#{source_color_name}/*"].select {|x| x =~ /_.*(svg)/ }


file_names.each do |file_name|
  content = File.open(file_name, "r").read()
  target_colors.each do |color|
    target_file_name = file_name.gsub(/#{source_color_name}/, color)
    target_content = content.gsub(/#{colors[source_color_name]}/, colors[color])
    File.write(target_file_name, target_content)
  end
end