angular.module('jobmapp.generics.directives')
  .directive("gaScroll", [
    '$window',
    '$document',
    function($window, $document) {
      return function(scope, element, attrs) {
        var isView = false;
        angular.element($window).bind("scroll", function() {
          var toview = element[0].offsetTop - this.innerHeight;
          if (toview <= this.pageYOffset) {
            if (!isView) {
              isView = true;
              var obj = {}
              obj.hitType = 'event'

              if (attrs.gaAction)
                obj.eventAction = attrs.gaAction

              if (attrs.gaCat)
                obj.eventCategory = attrs.gaCat

              if (attrs.gaLabel)
                obj.eventLabel = attrs.gaLabel

              if (attrs.gaVal)
                obj.eventValue = attrs.gaVal

              obj.others = {
                nonInteraction: true
              }
              if (ga) {
                ga('send', obj);
              }
            }
          }
        });
      };
    }
  ])
