angular.module('jobmapp.generics.directives')
.directive('jmShowLocationMap', [
  '$stateParams',
  'JobMap',
  function($stateParams, JobMap){

    function initMap(scope, element , attrs) {
      scope.showLocation = new JobMap();
      var location = [
        scope.lat,
        scope.lon
      ];
      scope.showLocation.initMapJobberPages( scope, element[0], location, null );
      scope.showLocation.addMarker( location, scope.kind );
      scope.showLocation.SetCenter( location );
    }

    return {
      restrict: 'E',
      link: initMap,
      template: '<div width="device-width" style="height: 100%;" data-tap-disabled="true"></div>',
      replace: true,
      scope: {
        lat: "@",
        lon: "@",
        kind: "@"
      }
    }
  }
]);
