angular.module('jobmapp.generics.resources')
.factory('InvoiceAddress', [
  '$resource',
  '$q',
  'env',
  'ServiceExtentions',
  function($resource, $q, env){
    return $resource(env.apiEndPoint + '/invoice-addresses/:id.json' , {id: '@invoice_address.id'}, {
      update: {
        method:'PUT'
      },
      get: {
        method: 'GET'
      },
      save: {
        method: 'POST'
      }
    })
  }
]);
