angular.module('jobmapp.generics.services')
.factory('jobForm', [function() {
  var draft;
  var toUpdate = false;

  var reset = function() {
    draft = {
      photoServerPathByName: {},
      photoThumbServerPathByName: {},
      photo_file_names: []
    };
  };

  reset();

  return {
    resetDraft: function(){
      reset();
    },
    getDraft: function(){
      return draft;
    },
    getToUpdate: function(){
      return toUpdate;
    },
    setToUpdate: function(job){
      toUpdate = job;
    }
  }
}]);
