angular.module('starter.services')

.service('env', function(){
  var environments = {
    production: {
      apiEndPoint: "https://api.jobmapp.com",
      webRoot: "https://jobmapp.com"
    },
    staging: {
      apiEndPoint: "https://api-staging.jobmapp.com",
      webRoot: "https://api-staging.jobmapp.com"
    },
    stagingDebug: {
      apiEndPoint: "http://api-staging.jobmapp.com:3000",
      webRoot: "http://api-staging.jobmapp.com:3000"
    },
    local: {
      apiEndPoint: "http://localhost:3000",
      webRoot: "https://localhost:3000"
    },
    localRemote: {
      apiEndPoint: "https://wljobmapp.ngrok.com",
      webRoot: "https://wljobmapp.ngrok.com"
    }
  };
  // Change this line to the environment that you need.
  var activeEnvironmentName = 'production';
  var activeEnvironment = environments[activeEnvironmentName];
  activeEnvironment.name = activeEnvironmentName;
  return activeEnvironment;
});