angular.module('jobmapp.generics.resources')
.factory('FreeRating', [
  '$resource',
  'env',
  function($resource, env){

    return $resource(env.apiEndPoint + '/free-ratings/:id.json' , {id: '@free_rating.id'}, {
      meOnUser: {
        method: 'GET',
        url: env.apiEndPoint + '/free-ratings/me-on-user/:uuid.json',
        params: {uuid: '@uuid'},
        isArray: false
      },
      update: {
        method: 'PUT'
      }
    })
  }
]);
