angular.module('starter.services')
.factory('popupCheckContact', function($ionicPopup, $q, gettextCatalog, User){

  return {

    open: function ($scope, $rootScope, job) {
      var q = $q.defer();

      if (job.specialSubCategory == 'ecoscooter') {
        q.resolve();
      } else {
        var myPopup = $ionicPopup.show({
  //        template: gettextCatalog.getString('E-Mail') + ':* <input ng-model=currentUser.email><br>' + gettextCatalog.getString('Teléfono') + ':* <input ng-model=currentUser.phone><br><label><input type="checkbox" ng-model="currentUser.terms_accepted" class="big-checkbox">* ' + gettextCatalog.getString('Acepto las') + ' </label><a href ng-click="showGeneralConditions()">' + gettextCatalog.getString('condiciones generales') + '</a>',
          // general conditions no longer clickable as it produces app to freeze (2 open popups issue). Check again if fixed in ionic 1.2
          template: gettextCatalog.getString('E-Mail') + ':* <input ng-model=currentUser.email><br>' + gettextCatalog.getString('Teléfono') + ':* <input ng-model=currentUser.phone><br><label><input type="checkbox" ng-model="currentUser.terms_accepted" class="big-checkbox">* ' + gettextCatalog.getString('Acepto las') + ' </label>' + gettextCatalog.getString('condiciones generales'),
          title: gettextCatalog.getString('Datos de contacto'),
          subTitle: '<p>' + gettextCatalog.getString('Comprueba que tus datos de contacto son correctos') + '</p>',
          scope: $scope,
          buttons: [
            { text: gettextCatalog.getString('Cancelar') },
            {
              text: gettextCatalog.getString('OK'),
              type: 'button-positive',
              onTap: function(e) {
                if (!$scope.currentUser.email || !$scope.currentUser.phone || !$scope.currentUser.terms_accepted) {
                  //don't allow the user to close unless he enters a star rating
                  e.preventDefault();
                } else {
                  return $scope.currentUser;
                }
              }
            },
          ]
        });

        myPopup.then(function(res) {
          if (res) {
            User.update({user: {email: $rootScope.currentUser.email, phone: $rootScope.currentUser.phone, terms_accepted: true}})
              .$promise.then(
                function () {
                  // User update success
                  q.resolve();
                },
                function () {
                  console.log("User update failed");
                  q.reject("User update failed");
                }
              );
          } else {
            console.log("cancel popoup");
            q.reject("User canceled contact data check");
          };
        });
      }

      return q.promise;

    }
  }
});
